Package: groovy.org.codenarc.rule.unnecessary

## [Groovy] Class UnnecessaryDefInMethodDeclarationRule

- groovy.org.codenarc.rule.unnecessary.UnnecessaryDefInMethodDeclarationRule

- If a method has a visibility modifier or a type declaration, then the def keyword is unneeded. For instance 'def private method() {}' is redundant and can be simplified to 'private method() {}'.

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority